apt 3.1.11 commandline package manager

Public Attributes | List of all members
DiffInfo Struct Reference
Acquire system {{{

## Public Attributes
std::string | file
HashStringList | result_hashes
HashStringList | patch_hashes
HashStringList | download_hashes

## Member Data Documentation

## ◆ download_hashes

HashStringList download_hashes

The hashes of the compressed diff

## ◆ file

std::string file

The filename of the diff.

Referenced by pkgAcqDiffIndex::ParseDiffIndex().

## ◆ patch_hashes

HashStringList patch_hashes

The hashes of the diff

## ◆ result_hashes

HashStringList result_hashes

The hashes of the file after the diff is applied

Referenced by pkgAcqDiffIndex::ParseDiffIndex().

The documentation for this struct was generated from the following file:

- apt-pkg/acquire-item.h